package domain


type AlibabaWdkorderSharestockInsuranceRefundgetTopBaseResult struct {
    /*
        返回结果     */
    Model  *AlibabaWdkorderSharestockInsuranceRefundgetWdkRefundToInsuranceBO `json:"model,omitempty" `

    /*
        是否调用成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        返回码     */
    ReturnCode  *string `json:"return_code,omitempty" `

    /*
        返回码说明     */
    ReturnMsg  *string `json:"return_msg,omitempty" `

}

func (s *AlibabaWdkorderSharestockInsuranceRefundgetTopBaseResult) SetModel(v AlibabaWdkorderSharestockInsuranceRefundgetWdkRefundToInsuranceBO) *AlibabaWdkorderSharestockInsuranceRefundgetTopBaseResult {
    s.Model = &v
    return s
}
func (s *AlibabaWdkorderSharestockInsuranceRefundgetTopBaseResult) SetSuccess(v bool) *AlibabaWdkorderSharestockInsuranceRefundgetTopBaseResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkorderSharestockInsuranceRefundgetTopBaseResult) SetReturnCode(v string) *AlibabaWdkorderSharestockInsuranceRefundgetTopBaseResult {
    s.ReturnCode = &v
    return s
}
func (s *AlibabaWdkorderSharestockInsuranceRefundgetTopBaseResult) SetReturnMsg(v string) *AlibabaWdkorderSharestockInsuranceRefundgetTopBaseResult {
    s.ReturnMsg = &v
    return s
}
